commit:     4db2df77ff56124a895d5c7d8a7ca080f7a5666e
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  1 19:47:28 2016 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Fri Apr  1 19:49:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4db2df77

games-engines/frobtads: version bump

Package-Manager: portage-2.2.26

 games-engines/frobtads/Manifest              |  1 +
 games-engines/frobtads/frobtads-1.2.3.ebuild | 49 ++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/games-engines/frobtads/Manifest b/games-engines/frobtads/Manifest
index ce82383..4ed780f 100644
--- a/games-engines/frobtads/Manifest
+++ b/games-engines/frobtads/Manifest
@@ -1 +1,2 @@
 DIST frobtads-1.2.2.tar.gz 5213193 SHA256 
f2802f6b8b2fb1e2a2c46cdec92b32e7135b6aceb3054a588eb9ebb9434a186e SHA512 
14c0c8a624632b00a7615e643f592eac2d6a0a523f9e019527e9ae8f04402cc4ee1568417bacbfdfd31df6452536a65e012ba0f0d3cced8ba6901988e7a5bc42
 WHIRLPOOL 
ffdd10df65bdd11512c115d8ef0a9a990fa31220628b437eb351eddd2a260fd51d838096cd9860c737861f941e18c148b85a15388c2544e047f6f2ef589ae9b3
+DIST frobtads-1.2.3.tar.gz 5227704 SHA256 
88c6a987813d4be1420a1c697e99ecef4fa9dd9bc922be4acf5a3054967ee788 SHA512 
4efb888860edda24bb5a5812967d0b863614558e9839cf0cfabc649ab0175719bf663de5e725034ba160c015d269dbe2df046cf47ad1019e668bf5b1fb564d7d
 WHIRLPOOL 
47f23a3d8adbaea2c450c794923a23c516db7aecc1334aa2907dca77c2dabfd3a9707a9b7a3c1bd06cac3df648a33a9543ad1f3401eeb45d765ac845a76884bb

diff --git a/games-engines/frobtads/frobtads-1.2.3.ebuild 
b/games-engines/frobtads/frobtads-1.2.3.ebuild
new file mode 100644
index 0000000..207ad5a
--- /dev/null
+++ b/games-engines/frobtads/frobtads-1.2.3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils flag-o-matic games
+
+DESCRIPTION="Curses-based interpreter and development tools for TADS 2 and 
TADS 3 text adventures"
+HOMEPAGE="http://www.tads.org/frobtads.htm";
+SRC_URI="http://www.tads.org/frobtads/${P}.tar.gz";
+
+LICENSE="TADS2 TADS3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug tads2compiler tads3compiler"
+
+RESTRICT="!tads3compiler? ( test )"
+
+RDEPEND="net-misc/curl
+       sys-libs/ncurses:0"
+DEPEND=${RDEPEND}
+
+DOCS=( doc/{AUTHORS,BUGS,ChangeLog.old,NEWS,README,SRC_GUIDELINES,THANKS} )
+
+src_configure() {
+       append-cxxflags -fpermissive
+       append-libs $(curl-config --libs)
+       egamesconf \
+               $(use_enable debug t3debug) \
+               $(use_enable debug error-checking) \
+               $(use_enable tads2compiler t2-compiler) \
+               $(use_enable tads3compiler t3-compiler)
+}
+
+src_test() {
+       emake -j1 sample
+       ./frob -i plain -p samples/sample.t3 <<- END_FROB_TEST
+               save
+               testsave.sav
+               restore
+               testsave.sav
+       END_FROB_TEST
+       [[ $? -eq 0 ]] || die "Failed to run test game"
+}
+
+src_install() {
+       default
+       prepgamesdirs
+}

Reply via email to